"use strict";

exports.__esModule = true;
exports.Model = void 0;

class Model {
  static map(entries, context) {
    return entries.map(data => new this(data, context));
  }

  constructor(data, context) {
    this.context = context;
    this.data = void 0;
    this.data = { ...data
    };
  }

  build() {
    const data = this.fields.reduce((obj, name) => {
      obj[name] = this[name];
      return obj;
    }, {});
    const node = {
      id: this.id,
      ...data,
      parent: null,
      children: [],
      internal: {
        type: this.constructor.name,
        content: JSON.stringify(data),
        contentDigest: this.context.createContentDigest(data)
      }
    };
    this.context.createNode(node);
  }

}

exports.Model = Model;
//# sourceMappingURL=Model.js.map