"use strict";

exports.__esModule = true;
exports.WordpressUser = void 0;

var _Model = require("./Model");

class WordpressUser extends _Model.Model {
  get id() {
    return this.data.id;
  }

  get fields() {
    return ['email', 'firstName', 'lastName', 'description', 'posts', 'pages'];
  }

  get email() {
    return this.data.email;
  }

  get firstName() {
    return this.data.firstName;
  }

  get lastName() {
    return this.data.lastName;
  }

  get description() {
    return this.data.description;
  }

  get posts() {
    return this.data.posts;
  }

  get pages() {
    return this.data.pages;
  }

}

exports.WordpressUser = WordpressUser;
//# sourceMappingURL=WordpressUser.js.map