"use strict";

exports.__esModule = true;
exports.GetUsersDocument = exports.GetPostsDocument = exports.GetPagesDocument = exports.GetMediaItemsDocument = exports.GetCategorysDocument = exports.UserDataFragmentDoc = exports.PostDataFragmentDoc = exports.PageDataFragmentDoc = exports.SeoDataFragmentDoc = exports.MediaItemDataFragmentDoc = exports.CategoryDataFragmentDoc = exports.CategorySeoDataFragmentDoc = exports.UsersConnectionSearchColumnEnum = exports.UsersConnectionOrderbyEnum = exports.UserRoleEnum = exports.UserNodeIdTypeEnum = exports.TimezoneEnum = exports.TermObjectsConnectionOrderbyEnum = exports.TermNodeIdTypeEnum = exports.TaxonomyIdTypeEnum = exports.TaxonomyEnum = exports.TagIdType = exports.SeoCardType = exports.RelationEnum = exports.PostStatusEnum = exports.PostObjectsConnectionOrderbyEnum = exports.PostObjectsConnectionDateColumnEnum = exports.PostObjectFieldFormatEnum = exports.PostIdType = exports.PostFormatIdType = exports.PageIdType = exports.OrderEnum = exports.MimeTypeEnum = exports.MenuNodeIdTypeEnum = exports.MenuLocationEnum = exports.MenuItemNodeIdTypeEnum = exports.MediaItemStatusEnum = exports.MediaItemSizeEnum = exports.MediaItemIdType = exports.ContentTypesOfTagEnum = exports.ContentTypesOfPostFormatEnum = exports.ContentTypesOfCategoryEnum = exports.ContentTypeIdTypeEnum = exports.ContentTypeEnum = exports.ContentNodeIdTypeEnum = exports.CommentsConnectionOrderbyEnum = exports.CategoryIdType = exports.AvatarRatingEnum = exports.ActionMonitorActionIdType = void 0;

/** All built-in and custom scalars, mapped to their actual values */

/** The ActionMonitorAction type */

/** The ActionMonitorAction type */

/** The ActionMonitorAction type */

/** The ActionMonitorAction type */

/** The ActionMonitorAction type */

/** The ActionMonitorAction type */

/** The Type of Identifier used to fetch a single resource. Default is ID. */
let ActionMonitorActionIdType;
/** Connection between the ActionMonitorAction type and the ActionMonitorAction type */

exports.ActionMonitorActionIdType = ActionMonitorActionIdType;

(function (ActionMonitorActionIdType) {
  ActionMonitorActionIdType["DatabaseId"] = "DATABASE_ID";
  ActionMonitorActionIdType["Id"] = "ID";
  ActionMonitorActionIdType["Slug"] = "SLUG";
  ActionMonitorActionIdType["Uri"] = "URI";
})(ActionMonitorActionIdType || (exports.ActionMonitorActionIdType = ActionMonitorActionIdType = {}));

/** What rating to display avatars up to. Accepts 'G', 'PG', 'R', 'X', and are judged in that order. Default is the value of the 'avatar_rating' option */
let AvatarRatingEnum;
/** The category type */

exports.AvatarRatingEnum = AvatarRatingEnum;

(function (AvatarRatingEnum) {
  AvatarRatingEnum["G"] = "G";
  AvatarRatingEnum["Pg"] = "PG";
  AvatarRatingEnum["R"] = "R";
  AvatarRatingEnum["X"] = "X";
})(AvatarRatingEnum || (exports.AvatarRatingEnum = AvatarRatingEnum = {}));

/** The Type of Identifier used to fetch a single resource. Default is ID. */
let CategoryIdType;
/** Connection between the category type and the category type */

exports.CategoryIdType = CategoryIdType;

(function (CategoryIdType) {
  CategoryIdType["DatabaseId"] = "DATABASE_ID";
  CategoryIdType["Id"] = "ID";
  CategoryIdType["Name"] = "NAME";
  CategoryIdType["Slug"] = "SLUG";
  CategoryIdType["Uri"] = "URI";
})(CategoryIdType || (exports.CategoryIdType = CategoryIdType = {}));

/** Options for ordering the connection */
let CommentsConnectionOrderbyEnum;
/** Nodes used to manage content */

exports.CommentsConnectionOrderbyEnum = CommentsConnectionOrderbyEnum;

(function (CommentsConnectionOrderbyEnum) {
  CommentsConnectionOrderbyEnum["CommentAgent"] = "COMMENT_AGENT";
  CommentsConnectionOrderbyEnum["CommentApproved"] = "COMMENT_APPROVED";
  CommentsConnectionOrderbyEnum["CommentAuthor"] = "COMMENT_AUTHOR";
  CommentsConnectionOrderbyEnum["CommentAuthorEmail"] = "COMMENT_AUTHOR_EMAIL";
  CommentsConnectionOrderbyEnum["CommentAuthorIp"] = "COMMENT_AUTHOR_IP";
  CommentsConnectionOrderbyEnum["CommentAuthorUrl"] = "COMMENT_AUTHOR_URL";
  CommentsConnectionOrderbyEnum["CommentContent"] = "COMMENT_CONTENT";
  CommentsConnectionOrderbyEnum["CommentDate"] = "COMMENT_DATE";
  CommentsConnectionOrderbyEnum["CommentDateGmt"] = "COMMENT_DATE_GMT";
  CommentsConnectionOrderbyEnum["CommentId"] = "COMMENT_ID";
  CommentsConnectionOrderbyEnum["CommentIn"] = "COMMENT_IN";
  CommentsConnectionOrderbyEnum["CommentKarma"] = "COMMENT_KARMA";
  CommentsConnectionOrderbyEnum["CommentParent"] = "COMMENT_PARENT";
  CommentsConnectionOrderbyEnum["CommentPostId"] = "COMMENT_POST_ID";
  CommentsConnectionOrderbyEnum["CommentType"] = "COMMENT_TYPE";
  CommentsConnectionOrderbyEnum["UserId"] = "USER_ID";
})(CommentsConnectionOrderbyEnum || (exports.CommentsConnectionOrderbyEnum = CommentsConnectionOrderbyEnum = {}));

/** The Type of Identifier used to fetch a single resource. Default is ID. */
let ContentNodeIdTypeEnum;
/** Connection between the ContentNode type and the ContentType type */

exports.ContentNodeIdTypeEnum = ContentNodeIdTypeEnum;

(function (ContentNodeIdTypeEnum) {
  ContentNodeIdTypeEnum["DatabaseId"] = "DATABASE_ID";
  ContentNodeIdTypeEnum["Id"] = "ID";
  ContentNodeIdTypeEnum["Uri"] = "URI";
})(ContentNodeIdTypeEnum || (exports.ContentNodeIdTypeEnum = ContentNodeIdTypeEnum = {}));

/** Allowed Content Types */
let ContentTypeEnum;
/** The Type of Identifier used to fetch a single Content Type node. To be used along with the "id" field. Default is "ID". */

exports.ContentTypeEnum = ContentTypeEnum;

(function (ContentTypeEnum) {
  ContentTypeEnum["ActionMonitor"] = "ACTION_MONITOR";
  ContentTypeEnum["Attachment"] = "ATTACHMENT";
  ContentTypeEnum["Page"] = "PAGE";
  ContentTypeEnum["Post"] = "POST";
})(ContentTypeEnum || (exports.ContentTypeEnum = ContentTypeEnum = {}));

let ContentTypeIdTypeEnum;
/** Connection between the ContentType type and the ContentNode type */

exports.ContentTypeIdTypeEnum = ContentTypeIdTypeEnum;

(function (ContentTypeIdTypeEnum) {
  ContentTypeIdTypeEnum["Id"] = "ID";
  ContentTypeIdTypeEnum["Name"] = "NAME";
})(ContentTypeIdTypeEnum || (exports.ContentTypeIdTypeEnum = ContentTypeIdTypeEnum = {}));

/** Allowed Content Types of the Category taxonomy. */
let ContentTypesOfCategoryEnum;
/** Allowed Content Types of the PostFormat taxonomy. */

exports.ContentTypesOfCategoryEnum = ContentTypesOfCategoryEnum;

(function (ContentTypesOfCategoryEnum) {
  ContentTypesOfCategoryEnum["Post"] = "POST";
})(ContentTypesOfCategoryEnum || (exports.ContentTypesOfCategoryEnum = ContentTypesOfCategoryEnum = {}));

let ContentTypesOfPostFormatEnum;
/** Allowed Content Types of the Tag taxonomy. */

exports.ContentTypesOfPostFormatEnum = ContentTypesOfPostFormatEnum;

(function (ContentTypesOfPostFormatEnum) {
  ContentTypesOfPostFormatEnum["Post"] = "POST";
})(ContentTypesOfPostFormatEnum || (exports.ContentTypesOfPostFormatEnum = ContentTypesOfPostFormatEnum = {}));

let ContentTypesOfTagEnum;
/** Input for the createActionMonitorAction mutation */

exports.ContentTypesOfTagEnum = ContentTypesOfTagEnum;

(function (ContentTypesOfTagEnum) {
  ContentTypesOfTagEnum["Post"] = "POST";
})(ContentTypesOfTagEnum || (exports.ContentTypesOfTagEnum = ContentTypesOfTagEnum = {}));

/** The Type of Identifier used to fetch a single resource. Default is ID. */
let MediaItemIdType;
/** Meta connected to a MediaItem */

exports.MediaItemIdType = MediaItemIdType;

(function (MediaItemIdType) {
  MediaItemIdType["DatabaseId"] = "DATABASE_ID";
  MediaItemIdType["Id"] = "ID";
  MediaItemIdType["Slug"] = "SLUG";
  MediaItemIdType["SourceUrl"] = "SOURCE_URL";
  MediaItemIdType["Uri"] = "URI";
})(MediaItemIdType || (exports.MediaItemIdType = MediaItemIdType = {}));

/** The size of the media item object. */
let MediaItemSizeEnum;
/** The status of the media item object. */

exports.MediaItemSizeEnum = MediaItemSizeEnum;

(function (MediaItemSizeEnum) {
  MediaItemSizeEnum["Large"] = "LARGE";
  MediaItemSizeEnum["Medium"] = "MEDIUM";
  MediaItemSizeEnum["MediumLarge"] = "MEDIUM_LARGE";
  MediaItemSizeEnum["Thumbnail"] = "THUMBNAIL";
  MediaItemSizeEnum["1536X1536"] = "_1536X1536";
  MediaItemSizeEnum["2048X2048"] = "_2048X2048";
})(MediaItemSizeEnum || (exports.MediaItemSizeEnum = MediaItemSizeEnum = {}));

let MediaItemStatusEnum;
/** Connection between the mediaItem type and the Comment type */

exports.MediaItemStatusEnum = MediaItemStatusEnum;

(function (MediaItemStatusEnum) {
  MediaItemStatusEnum["AutoDraft"] = "AUTO_DRAFT";
  MediaItemStatusEnum["Inherit"] = "INHERIT";
  MediaItemStatusEnum["Private"] = "PRIVATE";
  MediaItemStatusEnum["Trash"] = "TRASH";
})(MediaItemStatusEnum || (exports.MediaItemStatusEnum = MediaItemStatusEnum = {}));

/** The Type of Identifier used to fetch a single node. Default is "ID". To be used along with the "id" field. */
let MenuItemNodeIdTypeEnum;
/** Deprecated in favor of MenuItemLinkeable Interface */

exports.MenuItemNodeIdTypeEnum = MenuItemNodeIdTypeEnum;

(function (MenuItemNodeIdTypeEnum) {
  MenuItemNodeIdTypeEnum["DatabaseId"] = "DATABASE_ID";
  MenuItemNodeIdTypeEnum["Id"] = "ID";
})(MenuItemNodeIdTypeEnum || (exports.MenuItemNodeIdTypeEnum = MenuItemNodeIdTypeEnum = {}));

/** Registered menu locations */
let MenuLocationEnum;
/** The Type of Identifier used to fetch a single node. Default is "ID". To be used along with the "id" field. */

exports.MenuLocationEnum = MenuLocationEnum;

(function (MenuLocationEnum) {
  MenuLocationEnum["FooterMenu"] = "FOOTER_MENU";
  MenuLocationEnum["Primary"] = "PRIMARY";
})(MenuLocationEnum || (exports.MenuLocationEnum = MenuLocationEnum = {}));

let MenuNodeIdTypeEnum;
/** Connection between the Menu type and the MenuItem type */

exports.MenuNodeIdTypeEnum = MenuNodeIdTypeEnum;

(function (MenuNodeIdTypeEnum) {
  MenuNodeIdTypeEnum["DatabaseId"] = "DATABASE_ID";
  MenuNodeIdTypeEnum["Id"] = "ID";
  MenuNodeIdTypeEnum["Name"] = "NAME";
})(MenuNodeIdTypeEnum || (exports.MenuNodeIdTypeEnum = MenuNodeIdTypeEnum = {}));

/** The MimeType of the object */
let MimeTypeEnum;
/** An object with an ID */

exports.MimeTypeEnum = MimeTypeEnum;

(function (MimeTypeEnum) {
  MimeTypeEnum["ApplicationJava"] = "APPLICATION_JAVA";
  MimeTypeEnum["ApplicationJavascript"] = "APPLICATION_JAVASCRIPT";
  MimeTypeEnum["ApplicationMsword"] = "APPLICATION_MSWORD";
  MimeTypeEnum["ApplicationOctetStream"] = "APPLICATION_OCTET_STREAM";
  MimeTypeEnum["ApplicationOnenote"] = "APPLICATION_ONENOTE";
  MimeTypeEnum["ApplicationOxps"] = "APPLICATION_OXPS";
  MimeTypeEnum["ApplicationPdf"] = "APPLICATION_PDF";
  MimeTypeEnum["ApplicationRar"] = "APPLICATION_RAR";
  MimeTypeEnum["ApplicationRtf"] = "APPLICATION_RTF";
  MimeTypeEnum["ApplicationTtafXml"] = "APPLICATION_TTAF_XML";
  MimeTypeEnum["ApplicationVndAppleKeynote"] = "APPLICATION_VND_APPLE_KEYNOTE";
  MimeTypeEnum["ApplicationVndAppleNumbers"] = "APPLICATION_VND_APPLE_NUMBERS";
  MimeTypeEnum["ApplicationVndApplePages"] = "APPLICATION_VND_APPLE_PAGES";
  MimeTypeEnum["ApplicationVndMsAccess"] = "APPLICATION_VND_MS_ACCESS";
  MimeTypeEnum["ApplicationVndMsExcel"] = "APPLICATION_VND_MS_EXCEL";
  MimeTypeEnum["ApplicationVndMsExcelAddinMacroenabled_12"] = "APPLICATION_VND_MS_EXCEL_ADDIN_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsExcelSheetBinaryMacroenabled_12"] = "APPLICATION_VND_MS_EXCEL_SHEET_BINARY_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsExcelSheetMacroenabled_12"] = "APPLICATION_VND_MS_EXCEL_SHEET_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsExcelTemplateMacroenabled_12"] = "APPLICATION_VND_MS_EXCEL_TEMPLATE_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsPowerpoint"] = "APPLICATION_VND_MS_POWERPOINT";
  MimeTypeEnum["ApplicationVndMsPowerpointAddinMacroenabled_12"] = "APPLICATION_VND_MS_POWERPOINT_ADDIN_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsPowerpointPresentationMacroenabled_12"] = "APPLICATION_VND_MS_POWERPOINT_PRESENTATION_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsPowerpointSlideshowMacroenabled_12"] = "APPLICATION_VND_MS_POWERPOINT_SLIDESHOW_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsPowerpointSlideMacroenabled_12"] = "APPLICATION_VND_MS_POWERPOINT_SLIDE_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsPowerpointTemplateMacroenabled_12"] = "APPLICATION_VND_MS_POWERPOINT_TEMPLATE_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsProject"] = "APPLICATION_VND_MS_PROJECT";
  MimeTypeEnum["ApplicationVndMsWordDocumentMacroenabled_12"] = "APPLICATION_VND_MS_WORD_DOCUMENT_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsWordTemplateMacroenabled_12"] = "APPLICATION_VND_MS_WORD_TEMPLATE_MACROENABLED_12";
  MimeTypeEnum["ApplicationVndMsWrite"] = "APPLICATION_VND_MS_WRITE";
  MimeTypeEnum["ApplicationVndMsXpsdocument"] = "APPLICATION_VND_MS_XPSDOCUMENT";
  MimeTypeEnum["ApplicationVndOasisOpendocumentChart"] = "APPLICATION_VND_OASIS_OPENDOCUMENT_CHART";
  MimeTypeEnum["ApplicationVndOasisOpendocumentDatabase"] = "APPLICATION_VND_OASIS_OPENDOCUMENT_DATABASE";
  MimeTypeEnum["ApplicationVndOasisOpendocumentFormula"] = "APPLICATION_VND_OASIS_OPENDOCUMENT_FORMULA";
  MimeTypeEnum["ApplicationVndOasisOpendocumentGraphics"] = "APPLICATION_VND_OASIS_OPENDOCUMENT_GRAPHICS";
  MimeTypeEnum["ApplicationVndOasisOpendocumentPresentation"] = "APPLICATION_VND_OASIS_OPENDOCUMENT_PRESENTATION";
  MimeTypeEnum["ApplicationVndOasisOpendocumentSpreadsheet"] = "APPLICATION_VND_OASIS_OPENDOCUMENT_SPREADSHEET";
  MimeTypeEnum["ApplicationVndOasisOpendocumentText"] = "APPLICATION_VND_OASIS_OPENDOCUMENT_TEXT";
  MimeTypeEnum["ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPresentation"] = "APPLICATION_VND_OPENXMLFORMATS_OFFICEDOCUMENT_PRESENTATIONML_PRESENTATION";
  MimeTypeEnum["ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlide"] = "APPLICATION_VND_OPENXMLFORMATS_OFFICEDOCUMENT_PRESENTATIONML_SLIDE";
  MimeTypeEnum["ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideshow"] = "APPLICATION_VND_OPENXMLFORMATS_OFFICEDOCUMENT_PRESENTATIONML_SLIDESHOW";
  MimeTypeEnum["ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTemplate"] = "APPLICATION_VND_OPENXMLFORMATS_OFFICEDOCUMENT_PRESENTATIONML_TEMPLATE";
  MimeTypeEnum["ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheet"] = "APPLICATION_VND_OPENXMLFORMATS_OFFICEDOCUMENT_SPREADSHEETML_SHEET";
  MimeTypeEnum["ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTemplate"] = "APPLICATION_VND_OPENXMLFORMATS_OFFICEDOCUMENT_SPREADSHEETML_TEMPLATE";
  MimeTypeEnum["ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocument"] = "APPLICATION_VND_OPENXMLFORMATS_OFFICEDOCUMENT_WORDPROCESSINGML_DOCUMENT";
  MimeTypeEnum["ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlTemplate"] = "APPLICATION_VND_OPENXMLFORMATS_OFFICEDOCUMENT_WORDPROCESSINGML_TEMPLATE";
  MimeTypeEnum["ApplicationWordperfect"] = "APPLICATION_WORDPERFECT";
  MimeTypeEnum["ApplicationX_7ZCompressed"] = "APPLICATION_X_7Z_COMPRESSED";
  MimeTypeEnum["ApplicationXGzip"] = "APPLICATION_X_GZIP";
  MimeTypeEnum["ApplicationXTar"] = "APPLICATION_X_TAR";
  MimeTypeEnum["ApplicationZip"] = "APPLICATION_ZIP";
  MimeTypeEnum["AudioAac"] = "AUDIO_AAC";
  MimeTypeEnum["AudioFlac"] = "AUDIO_FLAC";
  MimeTypeEnum["AudioMidi"] = "AUDIO_MIDI";
  MimeTypeEnum["AudioMpeg"] = "AUDIO_MPEG";
  MimeTypeEnum["AudioOgg"] = "AUDIO_OGG";
  MimeTypeEnum["AudioWav"] = "AUDIO_WAV";
  MimeTypeEnum["AudioXMatroska"] = "AUDIO_X_MATROSKA";
  MimeTypeEnum["AudioXMsWax"] = "AUDIO_X_MS_WAX";
  MimeTypeEnum["AudioXMsWma"] = "AUDIO_X_MS_WMA";
  MimeTypeEnum["AudioXRealaudio"] = "AUDIO_X_REALAUDIO";
  MimeTypeEnum["ImageBmp"] = "IMAGE_BMP";
  MimeTypeEnum["ImageGif"] = "IMAGE_GIF";
  MimeTypeEnum["ImageHeic"] = "IMAGE_HEIC";
  MimeTypeEnum["ImageJpeg"] = "IMAGE_JPEG";
  MimeTypeEnum["ImagePng"] = "IMAGE_PNG";
  MimeTypeEnum["ImageSvgXml"] = "IMAGE_SVG_XML";
  MimeTypeEnum["ImageTiff"] = "IMAGE_TIFF";
  MimeTypeEnum["ImageXIcon"] = "IMAGE_X_ICON";
  MimeTypeEnum["TextCalendar"] = "TEXT_CALENDAR";
  MimeTypeEnum["TextCss"] = "TEXT_CSS";
  MimeTypeEnum["TextCsv"] = "TEXT_CSV";
  MimeTypeEnum["TextHtml"] = "TEXT_HTML";
  MimeTypeEnum["TextPlain"] = "TEXT_PLAIN";
  MimeTypeEnum["TextRichtext"] = "TEXT_RICHTEXT";
  MimeTypeEnum["TextTabSeparatedValues"] = "TEXT_TAB_SEPARATED_VALUES";
  MimeTypeEnum["TextVtt"] = "TEXT_VTT";
  MimeTypeEnum["Video_3Gpp"] = "VIDEO_3GPP";
  MimeTypeEnum["Video_3Gpp2"] = "VIDEO_3GPP2";
  MimeTypeEnum["VideoAvi"] = "VIDEO_AVI";
  MimeTypeEnum["VideoDivx"] = "VIDEO_DIVX";
  MimeTypeEnum["VideoMp4"] = "VIDEO_MP4";
  MimeTypeEnum["VideoMpeg"] = "VIDEO_MPEG";
  MimeTypeEnum["VideoOgg"] = "VIDEO_OGG";
  MimeTypeEnum["VideoQuicktime"] = "VIDEO_QUICKTIME";
  MimeTypeEnum["VideoWebm"] = "VIDEO_WEBM";
  MimeTypeEnum["VideoXFlv"] = "VIDEO_X_FLV";
  MimeTypeEnum["VideoXMatroska"] = "VIDEO_X_MATROSKA";
  MimeTypeEnum["VideoXMsAsf"] = "VIDEO_X_MS_ASF";
  MimeTypeEnum["VideoXMsWm"] = "VIDEO_X_MS_WM";
  MimeTypeEnum["VideoXMsWmv"] = "VIDEO_X_MS_WMV";
  MimeTypeEnum["VideoXMsWmx"] = "VIDEO_X_MS_WMX";
})(MimeTypeEnum || (exports.MimeTypeEnum = MimeTypeEnum = {}));

/** The cardinality of the connection order */
let OrderEnum;
/** The page type */

exports.OrderEnum = OrderEnum;

(function (OrderEnum) {
  OrderEnum["Asc"] = "ASC";
  OrderEnum["Desc"] = "DESC";
})(OrderEnum || (exports.OrderEnum = OrderEnum = {}));

/** The Type of Identifier used to fetch a single resource. Default is ID. */
let PageIdType;
/** Connection between the page type and the Comment type */

exports.PageIdType = PageIdType;

(function (PageIdType) {
  PageIdType["DatabaseId"] = "DATABASE_ID";
  PageIdType["Id"] = "ID";
  PageIdType["Uri"] = "URI";
})(PageIdType || (exports.PageIdType = PageIdType = {}));

/** The Type of Identifier used to fetch a single resource. Default is ID. */
let PostFormatIdType;
/** Connection between the postFormat type and the ContentNode type */

exports.PostFormatIdType = PostFormatIdType;

(function (PostFormatIdType) {
  PostFormatIdType["DatabaseId"] = "DATABASE_ID";
  PostFormatIdType["Id"] = "ID";
  PostFormatIdType["Name"] = "NAME";
  PostFormatIdType["Slug"] = "SLUG";
  PostFormatIdType["Uri"] = "URI";
})(PostFormatIdType || (exports.PostFormatIdType = PostFormatIdType = {}));

/** The Type of Identifier used to fetch a single resource. Default is ID. */
let PostIdType;
/** The format of post field data. */

exports.PostIdType = PostIdType;

(function (PostIdType) {
  PostIdType["DatabaseId"] = "DATABASE_ID";
  PostIdType["Id"] = "ID";
  PostIdType["Slug"] = "SLUG";
  PostIdType["Uri"] = "URI";
})(PostIdType || (exports.PostIdType = PostIdType = {}));

let PostObjectFieldFormatEnum;
/** Union between the post, page and media item types */

exports.PostObjectFieldFormatEnum = PostObjectFieldFormatEnum;

(function (PostObjectFieldFormatEnum) {
  PostObjectFieldFormatEnum["Raw"] = "RAW";
  PostObjectFieldFormatEnum["Rendered"] = "RENDERED";
})(PostObjectFieldFormatEnum || (exports.PostObjectFieldFormatEnum = PostObjectFieldFormatEnum = {}));

/** The column to use when filtering by date */
let PostObjectsConnectionDateColumnEnum;
/** Field to order the connection by */

exports.PostObjectsConnectionDateColumnEnum = PostObjectsConnectionDateColumnEnum;

(function (PostObjectsConnectionDateColumnEnum) {
  PostObjectsConnectionDateColumnEnum["Date"] = "DATE";
  PostObjectsConnectionDateColumnEnum["Modified"] = "MODIFIED";
})(PostObjectsConnectionDateColumnEnum || (exports.PostObjectsConnectionDateColumnEnum = PostObjectsConnectionDateColumnEnum = {}));

let PostObjectsConnectionOrderbyEnum;
/** Options for ordering the connection */

exports.PostObjectsConnectionOrderbyEnum = PostObjectsConnectionOrderbyEnum;

(function (PostObjectsConnectionOrderbyEnum) {
  PostObjectsConnectionOrderbyEnum["Author"] = "AUTHOR";
  PostObjectsConnectionOrderbyEnum["CommentCount"] = "COMMENT_COUNT";
  PostObjectsConnectionOrderbyEnum["Date"] = "DATE";
  PostObjectsConnectionOrderbyEnum["In"] = "IN";
  PostObjectsConnectionOrderbyEnum["MenuOrder"] = "MENU_ORDER";
  PostObjectsConnectionOrderbyEnum["Modified"] = "MODIFIED";
  PostObjectsConnectionOrderbyEnum["NameIn"] = "NAME_IN";
  PostObjectsConnectionOrderbyEnum["Parent"] = "PARENT";
  PostObjectsConnectionOrderbyEnum["Slug"] = "SLUG";
  PostObjectsConnectionOrderbyEnum["Title"] = "TITLE";
})(PostObjectsConnectionOrderbyEnum || (exports.PostObjectsConnectionOrderbyEnum = PostObjectsConnectionOrderbyEnum = {}));

/** The status of the object. */
let PostStatusEnum;
/** Set relationships between the post to tags */

exports.PostStatusEnum = PostStatusEnum;

(function (PostStatusEnum) {
  PostStatusEnum["AcfDisabled"] = "ACF_DISABLED";
  PostStatusEnum["AutoDraft"] = "AUTO_DRAFT";
  PostStatusEnum["Draft"] = "DRAFT";
  PostStatusEnum["Failed"] = "FAILED";
  PostStatusEnum["Future"] = "FUTURE";
  PostStatusEnum["Inherit"] = "INHERIT";
  PostStatusEnum["InProgress"] = "IN_PROGRESS";
  PostStatusEnum["Pending"] = "PENDING";
  PostStatusEnum["Private"] = "PRIVATE";
  PostStatusEnum["Publish"] = "PUBLISH";
  PostStatusEnum["RequestCompleted"] = "REQUEST_COMPLETED";
  PostStatusEnum["RequestConfirmed"] = "REQUEST_CONFIRMED";
  PostStatusEnum["RequestFailed"] = "REQUEST_FAILED";
  PostStatusEnum["RequestPending"] = "REQUEST_PENDING";
  PostStatusEnum["Trash"] = "TRASH";
})(PostStatusEnum || (exports.PostStatusEnum = PostStatusEnum = {}));

/** The logical relation between each item in the array when there are more than one. */
let RelationEnum;
/** Input for the resetUserPassword mutation */

exports.RelationEnum = RelationEnum;

(function (RelationEnum) {
  RelationEnum["And"] = "AND";
  RelationEnum["Or"] = "OR";
})(RelationEnum || (exports.RelationEnum = RelationEnum = {}));

/** Types of cards */
let SeoCardType;
/** The Yoast SEO site level configuration data */

exports.SeoCardType = SeoCardType;

(function (SeoCardType) {
  SeoCardType["Summary"] = "summary";
  SeoCardType["SummaryLargeImage"] = "summary_large_image";
})(SeoCardType || (exports.SeoCardType = SeoCardType = {}));

/** The Type of Identifier used to fetch a single resource. Default is ID. */
let TagIdType;
/** Connection between the tag type and the ContentNode type */

exports.TagIdType = TagIdType;

(function (TagIdType) {
  TagIdType["DatabaseId"] = "DATABASE_ID";
  TagIdType["Id"] = "ID";
  TagIdType["Name"] = "NAME";
  TagIdType["Slug"] = "SLUG";
  TagIdType["Uri"] = "URI";
})(TagIdType || (exports.TagIdType = TagIdType = {}));

/** Allowed taxonomies */
let TaxonomyEnum;
/** The Type of Identifier used to fetch a single Taxonomy node. To be used along with the "id" field. Default is "ID". */

exports.TaxonomyEnum = TaxonomyEnum;

(function (TaxonomyEnum) {
  TaxonomyEnum["Category"] = "CATEGORY";
  TaxonomyEnum["Postformat"] = "POSTFORMAT";
  TaxonomyEnum["Tag"] = "TAG";
})(TaxonomyEnum || (exports.TaxonomyEnum = TaxonomyEnum = {}));

let TaxonomyIdTypeEnum;
exports.TaxonomyIdTypeEnum = TaxonomyIdTypeEnum;

(function (TaxonomyIdTypeEnum) {
  TaxonomyIdTypeEnum["Id"] = "ID";
  TaxonomyIdTypeEnum["Name"] = "NAME";
})(TaxonomyIdTypeEnum || (exports.TaxonomyIdTypeEnum = TaxonomyIdTypeEnum = {}));

/** The Type of Identifier used to fetch a single resource. Default is "ID". To be used along with the "id" field. */
let TermNodeIdTypeEnum;
/** Connection between the TermNode type and the EnqueuedScript type */

exports.TermNodeIdTypeEnum = TermNodeIdTypeEnum;

(function (TermNodeIdTypeEnum) {
  TermNodeIdTypeEnum["DatabaseId"] = "DATABASE_ID";
  TermNodeIdTypeEnum["Id"] = "ID";
  TermNodeIdTypeEnum["Name"] = "NAME";
  TermNodeIdTypeEnum["Slug"] = "SLUG";
  TermNodeIdTypeEnum["Uri"] = "URI";
})(TermNodeIdTypeEnum || (exports.TermNodeIdTypeEnum = TermNodeIdTypeEnum = {}));

/** Options for ordering the connection by */
let TermObjectsConnectionOrderbyEnum;
/** A theme object */

exports.TermObjectsConnectionOrderbyEnum = TermObjectsConnectionOrderbyEnum;

(function (TermObjectsConnectionOrderbyEnum) {
  TermObjectsConnectionOrderbyEnum["Count"] = "COUNT";
  TermObjectsConnectionOrderbyEnum["Description"] = "DESCRIPTION";
  TermObjectsConnectionOrderbyEnum["Name"] = "NAME";
  TermObjectsConnectionOrderbyEnum["Slug"] = "SLUG";
  TermObjectsConnectionOrderbyEnum["TermGroup"] = "TERM_GROUP";
  TermObjectsConnectionOrderbyEnum["TermId"] = "TERM_ID";
  TermObjectsConnectionOrderbyEnum["TermOrder"] = "TERM_ORDER";
})(TermObjectsConnectionOrderbyEnum || (exports.TermObjectsConnectionOrderbyEnum = TermObjectsConnectionOrderbyEnum = {}));

/** Available timezones */
let TimezoneEnum;
/** Any node that has a URI */

exports.TimezoneEnum = TimezoneEnum;

(function (TimezoneEnum) {
  TimezoneEnum["AfricaAbidjan"] = "AFRICA_ABIDJAN";
  TimezoneEnum["AfricaAccra"] = "AFRICA_ACCRA";
  TimezoneEnum["AfricaAddisAbaba"] = "AFRICA_ADDIS_ABABA";
  TimezoneEnum["AfricaAlgiers"] = "AFRICA_ALGIERS";
  TimezoneEnum["AfricaAsmara"] = "AFRICA_ASMARA";
  TimezoneEnum["AfricaBamako"] = "AFRICA_BAMAKO";
  TimezoneEnum["AfricaBangui"] = "AFRICA_BANGUI";
  TimezoneEnum["AfricaBanjul"] = "AFRICA_BANJUL";
  TimezoneEnum["AfricaBissau"] = "AFRICA_BISSAU";
  TimezoneEnum["AfricaBlantyre"] = "AFRICA_BLANTYRE";
  TimezoneEnum["AfricaBrazzaville"] = "AFRICA_BRAZZAVILLE";
  TimezoneEnum["AfricaBujumbura"] = "AFRICA_BUJUMBURA";
  TimezoneEnum["AfricaCairo"] = "AFRICA_CAIRO";
  TimezoneEnum["AfricaCasablanca"] = "AFRICA_CASABLANCA";
  TimezoneEnum["AfricaCeuta"] = "AFRICA_CEUTA";
  TimezoneEnum["AfricaConakry"] = "AFRICA_CONAKRY";
  TimezoneEnum["AfricaDakar"] = "AFRICA_DAKAR";
  TimezoneEnum["AfricaDarEsSalaam"] = "AFRICA_DAR_ES_SALAAM";
  TimezoneEnum["AfricaDjibouti"] = "AFRICA_DJIBOUTI";
  TimezoneEnum["AfricaDouala"] = "AFRICA_DOUALA";
  TimezoneEnum["AfricaElAaiun"] = "AFRICA_EL_AAIUN";
  TimezoneEnum["AfricaFreetown"] = "AFRICA_FREETOWN";
  TimezoneEnum["AfricaGaborone"] = "AFRICA_GABORONE";
  TimezoneEnum["AfricaHarare"] = "AFRICA_HARARE";
  TimezoneEnum["AfricaJohannesburg"] = "AFRICA_JOHANNESBURG";
  TimezoneEnum["AfricaJuba"] = "AFRICA_JUBA";
  TimezoneEnum["AfricaKampala"] = "AFRICA_KAMPALA";
  TimezoneEnum["AfricaKhartoum"] = "AFRICA_KHARTOUM";
  TimezoneEnum["AfricaKigali"] = "AFRICA_KIGALI";
  TimezoneEnum["AfricaKinshasa"] = "AFRICA_KINSHASA";
  TimezoneEnum["AfricaLagos"] = "AFRICA_LAGOS";
  TimezoneEnum["AfricaLibreville"] = "AFRICA_LIBREVILLE";
  TimezoneEnum["AfricaLome"] = "AFRICA_LOME";
  TimezoneEnum["AfricaLuanda"] = "AFRICA_LUANDA";
  TimezoneEnum["AfricaLubumbashi"] = "AFRICA_LUBUMBASHI";
  TimezoneEnum["AfricaLusaka"] = "AFRICA_LUSAKA";
  TimezoneEnum["AfricaMalabo"] = "AFRICA_MALABO";
  TimezoneEnum["AfricaMaputo"] = "AFRICA_MAPUTO";
  TimezoneEnum["AfricaMaseru"] = "AFRICA_MASERU";
  TimezoneEnum["AfricaMbabane"] = "AFRICA_MBABANE";
  TimezoneEnum["AfricaMogadishu"] = "AFRICA_MOGADISHU";
  TimezoneEnum["AfricaMonrovia"] = "AFRICA_MONROVIA";
  TimezoneEnum["AfricaNairobi"] = "AFRICA_NAIROBI";
  TimezoneEnum["AfricaNdjamena"] = "AFRICA_NDJAMENA";
  TimezoneEnum["AfricaNiamey"] = "AFRICA_NIAMEY";
  TimezoneEnum["AfricaNouakchott"] = "AFRICA_NOUAKCHOTT";
  TimezoneEnum["AfricaOuagadougou"] = "AFRICA_OUAGADOUGOU";
  TimezoneEnum["AfricaPortoNovo"] = "AFRICA_PORTO_NOVO";
  TimezoneEnum["AfricaSaoTome"] = "AFRICA_SAO_TOME";
  TimezoneEnum["AfricaTripoli"] = "AFRICA_TRIPOLI";
  TimezoneEnum["AfricaTunis"] = "AFRICA_TUNIS";
  TimezoneEnum["AfricaWindhoek"] = "AFRICA_WINDHOEK";
  TimezoneEnum["AmericaAdak"] = "AMERICA_ADAK";
  TimezoneEnum["AmericaAnchorage"] = "AMERICA_ANCHORAGE";
  TimezoneEnum["AmericaAnguilla"] = "AMERICA_ANGUILLA";
  TimezoneEnum["AmericaAntigua"] = "AMERICA_ANTIGUA";
  TimezoneEnum["AmericaAraguaina"] = "AMERICA_ARAGUAINA";
  TimezoneEnum["AmericaArgentinaBuenosAires"] = "AMERICA_ARGENTINA_BUENOS_AIRES";
  TimezoneEnum["AmericaArgentinaCatamarca"] = "AMERICA_ARGENTINA_CATAMARCA";
  TimezoneEnum["AmericaArgentinaCordoba"] = "AMERICA_ARGENTINA_CORDOBA";
  TimezoneEnum["AmericaArgentinaJujuy"] = "AMERICA_ARGENTINA_JUJUY";
  TimezoneEnum["AmericaArgentinaLaRioja"] = "AMERICA_ARGENTINA_LA_RIOJA";
  TimezoneEnum["AmericaArgentinaMendoza"] = "AMERICA_ARGENTINA_MENDOZA";
  TimezoneEnum["AmericaArgentinaRioGallegos"] = "AMERICA_ARGENTINA_RIO_GALLEGOS";
  TimezoneEnum["AmericaArgentinaSalta"] = "AMERICA_ARGENTINA_SALTA";
  TimezoneEnum["AmericaArgentinaSanJuan"] = "AMERICA_ARGENTINA_SAN_JUAN";
  TimezoneEnum["AmericaArgentinaSanLuis"] = "AMERICA_ARGENTINA_SAN_LUIS";
  TimezoneEnum["AmericaArgentinaTucuman"] = "AMERICA_ARGENTINA_TUCUMAN";
  TimezoneEnum["AmericaArgentinaUshuaia"] = "AMERICA_ARGENTINA_USHUAIA";
  TimezoneEnum["AmericaAruba"] = "AMERICA_ARUBA";
  TimezoneEnum["AmericaAsuncion"] = "AMERICA_ASUNCION";
  TimezoneEnum["AmericaAtikokan"] = "AMERICA_ATIKOKAN";
  TimezoneEnum["AmericaBahia"] = "AMERICA_BAHIA";
  TimezoneEnum["AmericaBahiaBanderas"] = "AMERICA_BAHIA_BANDERAS";
  TimezoneEnum["AmericaBarbados"] = "AMERICA_BARBADOS";
  TimezoneEnum["AmericaBelem"] = "AMERICA_BELEM";
  TimezoneEnum["AmericaBelize"] = "AMERICA_BELIZE";
  TimezoneEnum["AmericaBlancSablon"] = "AMERICA_BLANC_SABLON";
  TimezoneEnum["AmericaBoaVista"] = "AMERICA_BOA_VISTA";
  TimezoneEnum["AmericaBogota"] = "AMERICA_BOGOTA";
  TimezoneEnum["AmericaBoise"] = "AMERICA_BOISE";
  TimezoneEnum["AmericaCambridgeBay"] = "AMERICA_CAMBRIDGE_BAY";
  TimezoneEnum["AmericaCampoGrande"] = "AMERICA_CAMPO_GRANDE";
  TimezoneEnum["AmericaCancun"] = "AMERICA_CANCUN";
  TimezoneEnum["AmericaCaracas"] = "AMERICA_CARACAS";
  TimezoneEnum["AmericaCayenne"] = "AMERICA_CAYENNE";
  TimezoneEnum["AmericaCayman"] = "AMERICA_CAYMAN";
  TimezoneEnum["AmericaChicago"] = "AMERICA_CHICAGO";
  TimezoneEnum["AmericaChihuahua"] = "AMERICA_CHIHUAHUA";
  TimezoneEnum["AmericaCostaRica"] = "AMERICA_COSTA_RICA";
  TimezoneEnum["AmericaCreston"] = "AMERICA_CRESTON";
  TimezoneEnum["AmericaCuiaba"] = "AMERICA_CUIABA";
  TimezoneEnum["AmericaCuracao"] = "AMERICA_CURACAO";
  TimezoneEnum["AmericaDanmarkshavn"] = "AMERICA_DANMARKSHAVN";
  TimezoneEnum["AmericaDawson"] = "AMERICA_DAWSON";
  TimezoneEnum["AmericaDawsonCreek"] = "AMERICA_DAWSON_CREEK";
  TimezoneEnum["AmericaDenver"] = "AMERICA_DENVER";
  TimezoneEnum["AmericaDetroit"] = "AMERICA_DETROIT";
  TimezoneEnum["AmericaDominica"] = "AMERICA_DOMINICA";
  TimezoneEnum["AmericaEdmonton"] = "AMERICA_EDMONTON";
  TimezoneEnum["AmericaEirunepe"] = "AMERICA_EIRUNEPE";
  TimezoneEnum["AmericaElSalvador"] = "AMERICA_EL_SALVADOR";
  TimezoneEnum["AmericaFortaleza"] = "AMERICA_FORTALEZA";
  TimezoneEnum["AmericaFortNelson"] = "AMERICA_FORT_NELSON";
  TimezoneEnum["AmericaGlaceBay"] = "AMERICA_GLACE_BAY";
  TimezoneEnum["AmericaGooseBay"] = "AMERICA_GOOSE_BAY";
  TimezoneEnum["AmericaGrandTurk"] = "AMERICA_GRAND_TURK";
  TimezoneEnum["AmericaGrenada"] = "AMERICA_GRENADA";
  TimezoneEnum["AmericaGuadeloupe"] = "AMERICA_GUADELOUPE";
  TimezoneEnum["AmericaGuatemala"] = "AMERICA_GUATEMALA";
  TimezoneEnum["AmericaGuayaquil"] = "AMERICA_GUAYAQUIL";
  TimezoneEnum["AmericaGuyana"] = "AMERICA_GUYANA";
  TimezoneEnum["AmericaHalifax"] = "AMERICA_HALIFAX";
  TimezoneEnum["AmericaHavana"] = "AMERICA_HAVANA";
  TimezoneEnum["AmericaHermosillo"] = "AMERICA_HERMOSILLO";
  TimezoneEnum["AmericaIndianaIndianapolis"] = "AMERICA_INDIANA_INDIANAPOLIS";
  TimezoneEnum["AmericaIndianaKnox"] = "AMERICA_INDIANA_KNOX";
  TimezoneEnum["AmericaIndianaMarengo"] = "AMERICA_INDIANA_MARENGO";
  TimezoneEnum["AmericaIndianaPetersburg"] = "AMERICA_INDIANA_PETERSBURG";
  TimezoneEnum["AmericaIndianaTellCity"] = "AMERICA_INDIANA_TELL_CITY";
  TimezoneEnum["AmericaIndianaVevay"] = "AMERICA_INDIANA_VEVAY";
  TimezoneEnum["AmericaIndianaVincennes"] = "AMERICA_INDIANA_VINCENNES";
  TimezoneEnum["AmericaIndianaWinamac"] = "AMERICA_INDIANA_WINAMAC";
  TimezoneEnum["AmericaInuvik"] = "AMERICA_INUVIK";
  TimezoneEnum["AmericaIqaluit"] = "AMERICA_IQALUIT";
  TimezoneEnum["AmericaJamaica"] = "AMERICA_JAMAICA";
  TimezoneEnum["AmericaJuneau"] = "AMERICA_JUNEAU";
  TimezoneEnum["AmericaKentuckyLouisville"] = "AMERICA_KENTUCKY_LOUISVILLE";
  TimezoneEnum["AmericaKentuckyMonticello"] = "AMERICA_KENTUCKY_MONTICELLO";
  TimezoneEnum["AmericaKralendijk"] = "AMERICA_KRALENDIJK";
  TimezoneEnum["AmericaLaPaz"] = "AMERICA_LA_PAZ";
  TimezoneEnum["AmericaLima"] = "AMERICA_LIMA";
  TimezoneEnum["AmericaLosAngeles"] = "AMERICA_LOS_ANGELES";
  TimezoneEnum["AmericaLowerPrinces"] = "AMERICA_LOWER_PRINCES";
  TimezoneEnum["AmericaMaceio"] = "AMERICA_MACEIO";
  TimezoneEnum["AmericaManagua"] = "AMERICA_MANAGUA";
  TimezoneEnum["AmericaManaus"] = "AMERICA_MANAUS";
  TimezoneEnum["AmericaMarigot"] = "AMERICA_MARIGOT";
  TimezoneEnum["AmericaMartinique"] = "AMERICA_MARTINIQUE";
  TimezoneEnum["AmericaMatamoros"] = "AMERICA_MATAMOROS";
  TimezoneEnum["AmericaMazatlan"] = "AMERICA_MAZATLAN";
  TimezoneEnum["AmericaMenominee"] = "AMERICA_MENOMINEE";
  TimezoneEnum["AmericaMerida"] = "AMERICA_MERIDA";
  TimezoneEnum["AmericaMetlakatla"] = "AMERICA_METLAKATLA";
  TimezoneEnum["AmericaMexicoCity"] = "AMERICA_MEXICO_CITY";
  TimezoneEnum["AmericaMiquelon"] = "AMERICA_MIQUELON";
  TimezoneEnum["AmericaMoncton"] = "AMERICA_MONCTON";
  TimezoneEnum["AmericaMonterrey"] = "AMERICA_MONTERREY";
  TimezoneEnum["AmericaMontevideo"] = "AMERICA_MONTEVIDEO";
  TimezoneEnum["AmericaMontserrat"] = "AMERICA_MONTSERRAT";
  TimezoneEnum["AmericaNassau"] = "AMERICA_NASSAU";
  TimezoneEnum["AmericaNewYork"] = "AMERICA_NEW_YORK";
  TimezoneEnum["AmericaNipigon"] = "AMERICA_NIPIGON";
  TimezoneEnum["AmericaNome"] = "AMERICA_NOME";
  TimezoneEnum["AmericaNoronha"] = "AMERICA_NORONHA";
  TimezoneEnum["AmericaNorthDakotaBeulah"] = "AMERICA_NORTH_DAKOTA_BEULAH";
  TimezoneEnum["AmericaNorthDakotaCenter"] = "AMERICA_NORTH_DAKOTA_CENTER";
  TimezoneEnum["AmericaNorthDakotaNewSalem"] = "AMERICA_NORTH_DAKOTA_NEW_SALEM";
  TimezoneEnum["AmericaNuuk"] = "AMERICA_NUUK";
  TimezoneEnum["AmericaOjinaga"] = "AMERICA_OJINAGA";
  TimezoneEnum["AmericaPanama"] = "AMERICA_PANAMA";
  TimezoneEnum["AmericaPangnirtung"] = "AMERICA_PANGNIRTUNG";
  TimezoneEnum["AmericaParamaribo"] = "AMERICA_PARAMARIBO";
  TimezoneEnum["AmericaPhoenix"] = "AMERICA_PHOENIX";
  TimezoneEnum["AmericaPortoVelho"] = "AMERICA_PORTO_VELHO";
  TimezoneEnum["AmericaPortAuPrince"] = "AMERICA_PORT_AU_PRINCE";
  TimezoneEnum["AmericaPortOfSpain"] = "AMERICA_PORT_OF_SPAIN";
  TimezoneEnum["AmericaPuertoRico"] = "AMERICA_PUERTO_RICO";
  TimezoneEnum["AmericaPuntaArenas"] = "AMERICA_PUNTA_ARENAS";
  TimezoneEnum["AmericaRainyRiver"] = "AMERICA_RAINY_RIVER";
  TimezoneEnum["AmericaRankinInlet"] = "AMERICA_RANKIN_INLET";
  TimezoneEnum["AmericaRecife"] = "AMERICA_RECIFE";
  TimezoneEnum["AmericaRegina"] = "AMERICA_REGINA";
  TimezoneEnum["AmericaResolute"] = "AMERICA_RESOLUTE";
  TimezoneEnum["AmericaRioBranco"] = "AMERICA_RIO_BRANCO";
  TimezoneEnum["AmericaSantarem"] = "AMERICA_SANTAREM";
  TimezoneEnum["AmericaSantiago"] = "AMERICA_SANTIAGO";
  TimezoneEnum["AmericaSantoDomingo"] = "AMERICA_SANTO_DOMINGO";
  TimezoneEnum["AmericaSaoPaulo"] = "AMERICA_SAO_PAULO";
  TimezoneEnum["AmericaScoresbysund"] = "AMERICA_SCORESBYSUND";
  TimezoneEnum["AmericaSitka"] = "AMERICA_SITKA";
  TimezoneEnum["AmericaStBarthelemy"] = "AMERICA_ST_BARTHELEMY";
  TimezoneEnum["AmericaStJohns"] = "AMERICA_ST_JOHNS";
  TimezoneEnum["AmericaStKitts"] = "AMERICA_ST_KITTS";
  TimezoneEnum["AmericaStLucia"] = "AMERICA_ST_LUCIA";
  TimezoneEnum["AmericaStThomas"] = "AMERICA_ST_THOMAS";
  TimezoneEnum["AmericaStVincent"] = "AMERICA_ST_VINCENT";
  TimezoneEnum["AmericaSwiftCurrent"] = "AMERICA_SWIFT_CURRENT";
  TimezoneEnum["AmericaTegucigalpa"] = "AMERICA_TEGUCIGALPA";
  TimezoneEnum["AmericaThule"] = "AMERICA_THULE";
  TimezoneEnum["AmericaThunderBay"] = "AMERICA_THUNDER_BAY";
  TimezoneEnum["AmericaTijuana"] = "AMERICA_TIJUANA";
  TimezoneEnum["AmericaToronto"] = "AMERICA_TORONTO";
  TimezoneEnum["AmericaTortola"] = "AMERICA_TORTOLA";
  TimezoneEnum["AmericaVancouver"] = "AMERICA_VANCOUVER";
  TimezoneEnum["AmericaWhitehorse"] = "AMERICA_WHITEHORSE";
  TimezoneEnum["AmericaWinnipeg"] = "AMERICA_WINNIPEG";
  TimezoneEnum["AmericaYakutat"] = "AMERICA_YAKUTAT";
  TimezoneEnum["AmericaYellowknife"] = "AMERICA_YELLOWKNIFE";
  TimezoneEnum["AntarcticaCasey"] = "ANTARCTICA_CASEY";
  TimezoneEnum["AntarcticaDavis"] = "ANTARCTICA_DAVIS";
  TimezoneEnum["AntarcticaDumontdurville"] = "ANTARCTICA_DUMONTDURVILLE";
  TimezoneEnum["AntarcticaMacquarie"] = "ANTARCTICA_MACQUARIE";
  TimezoneEnum["AntarcticaMawson"] = "ANTARCTICA_MAWSON";
  TimezoneEnum["AntarcticaMcmurdo"] = "ANTARCTICA_MCMURDO";
  TimezoneEnum["AntarcticaPalmer"] = "ANTARCTICA_PALMER";
  TimezoneEnum["AntarcticaRothera"] = "ANTARCTICA_ROTHERA";
  TimezoneEnum["AntarcticaSyowa"] = "ANTARCTICA_SYOWA";
  TimezoneEnum["AntarcticaTroll"] = "ANTARCTICA_TROLL";
  TimezoneEnum["AntarcticaVostok"] = "ANTARCTICA_VOSTOK";
  TimezoneEnum["ArcticLongyearbyen"] = "ARCTIC_LONGYEARBYEN";
  TimezoneEnum["AsiaAden"] = "ASIA_ADEN";
  TimezoneEnum["AsiaAlmaty"] = "ASIA_ALMATY";
  TimezoneEnum["AsiaAmman"] = "ASIA_AMMAN";
  TimezoneEnum["AsiaAnadyr"] = "ASIA_ANADYR";
  TimezoneEnum["AsiaAqtau"] = "ASIA_AQTAU";
  TimezoneEnum["AsiaAqtobe"] = "ASIA_AQTOBE";
  TimezoneEnum["AsiaAshgabat"] = "ASIA_ASHGABAT";
  TimezoneEnum["AsiaAtyrau"] = "ASIA_ATYRAU";
  TimezoneEnum["AsiaBaghdad"] = "ASIA_BAGHDAD";
  TimezoneEnum["AsiaBahrain"] = "ASIA_BAHRAIN";
  TimezoneEnum["AsiaBaku"] = "ASIA_BAKU";
  TimezoneEnum["AsiaBangkok"] = "ASIA_BANGKOK";
  TimezoneEnum["AsiaBarnaul"] = "ASIA_BARNAUL";
  TimezoneEnum["AsiaBeirut"] = "ASIA_BEIRUT";
  TimezoneEnum["AsiaBishkek"] = "ASIA_BISHKEK";
  TimezoneEnum["AsiaBrunei"] = "ASIA_BRUNEI";
  TimezoneEnum["AsiaChita"] = "ASIA_CHITA";
  TimezoneEnum["AsiaChoibalsan"] = "ASIA_CHOIBALSAN";
  TimezoneEnum["AsiaColombo"] = "ASIA_COLOMBO";
  TimezoneEnum["AsiaDamascus"] = "ASIA_DAMASCUS";
  TimezoneEnum["AsiaDhaka"] = "ASIA_DHAKA";
  TimezoneEnum["AsiaDili"] = "ASIA_DILI";
  TimezoneEnum["AsiaDubai"] = "ASIA_DUBAI";
  TimezoneEnum["AsiaDushanbe"] = "ASIA_DUSHANBE";
  TimezoneEnum["AsiaFamagusta"] = "ASIA_FAMAGUSTA";
  TimezoneEnum["AsiaGaza"] = "ASIA_GAZA";
  TimezoneEnum["AsiaHebron"] = "ASIA_HEBRON";
  TimezoneEnum["AsiaHongKong"] = "ASIA_HONG_KONG";
  TimezoneEnum["AsiaHovd"] = "ASIA_HOVD";
  TimezoneEnum["AsiaHoChiMinh"] = "ASIA_HO_CHI_MINH";
  TimezoneEnum["AsiaIrkutsk"] = "ASIA_IRKUTSK";
  TimezoneEnum["AsiaJakarta"] = "ASIA_JAKARTA";
  TimezoneEnum["AsiaJayapura"] = "ASIA_JAYAPURA";
  TimezoneEnum["AsiaJerusalem"] = "ASIA_JERUSALEM";
  TimezoneEnum["AsiaKabul"] = "ASIA_KABUL";
  TimezoneEnum["AsiaKamchatka"] = "ASIA_KAMCHATKA";
  TimezoneEnum["AsiaKarachi"] = "ASIA_KARACHI";
  TimezoneEnum["AsiaKathmandu"] = "ASIA_KATHMANDU";
  TimezoneEnum["AsiaKhandyga"] = "ASIA_KHANDYGA";
  TimezoneEnum["AsiaKolkata"] = "ASIA_KOLKATA";
  TimezoneEnum["AsiaKrasnoyarsk"] = "ASIA_KRASNOYARSK";
  TimezoneEnum["AsiaKualaLumpur"] = "ASIA_KUALA_LUMPUR";
  TimezoneEnum["AsiaKuching"] = "ASIA_KUCHING";
  TimezoneEnum["AsiaKuwait"] = "ASIA_KUWAIT";
  TimezoneEnum["AsiaMacau"] = "ASIA_MACAU";
  TimezoneEnum["AsiaMagadan"] = "ASIA_MAGADAN";
  TimezoneEnum["AsiaMakassar"] = "ASIA_MAKASSAR";
  TimezoneEnum["AsiaManila"] = "ASIA_MANILA";
  TimezoneEnum["AsiaMuscat"] = "ASIA_MUSCAT";
  TimezoneEnum["AsiaNicosia"] = "ASIA_NICOSIA";
  TimezoneEnum["AsiaNovokuznetsk"] = "ASIA_NOVOKUZNETSK";
  TimezoneEnum["AsiaNovosibirsk"] = "ASIA_NOVOSIBIRSK";
  TimezoneEnum["AsiaOmsk"] = "ASIA_OMSK";
  TimezoneEnum["AsiaOral"] = "ASIA_ORAL";
  TimezoneEnum["AsiaPhnomPenh"] = "ASIA_PHNOM_PENH";
  TimezoneEnum["AsiaPontianak"] = "ASIA_PONTIANAK";
  TimezoneEnum["AsiaPyongyang"] = "ASIA_PYONGYANG";
  TimezoneEnum["AsiaQatar"] = "ASIA_QATAR";
  TimezoneEnum["AsiaQostanay"] = "ASIA_QOSTANAY";
  TimezoneEnum["AsiaQyzylorda"] = "ASIA_QYZYLORDA";
  TimezoneEnum["AsiaRiyadh"] = "ASIA_RIYADH";
  TimezoneEnum["AsiaSakhalin"] = "ASIA_SAKHALIN";
  TimezoneEnum["AsiaSamarkand"] = "ASIA_SAMARKAND";
  TimezoneEnum["AsiaSeoul"] = "ASIA_SEOUL";
  TimezoneEnum["AsiaShanghai"] = "ASIA_SHANGHAI";
  TimezoneEnum["AsiaSingapore"] = "ASIA_SINGAPORE";
  TimezoneEnum["AsiaSrednekolymsk"] = "ASIA_SREDNEKOLYMSK";
  TimezoneEnum["AsiaTaipei"] = "ASIA_TAIPEI";
  TimezoneEnum["AsiaTashkent"] = "ASIA_TASHKENT";
  TimezoneEnum["AsiaTbilisi"] = "ASIA_TBILISI";
  TimezoneEnum["AsiaTehran"] = "ASIA_TEHRAN";
  TimezoneEnum["AsiaThimphu"] = "ASIA_THIMPHU";
  TimezoneEnum["AsiaTokyo"] = "ASIA_TOKYO";
  TimezoneEnum["AsiaTomsk"] = "ASIA_TOMSK";
  TimezoneEnum["AsiaUlaanbaatar"] = "ASIA_ULAANBAATAR";
  TimezoneEnum["AsiaUrumqi"] = "ASIA_URUMQI";
  TimezoneEnum["AsiaUstNera"] = "ASIA_UST_NERA";
  TimezoneEnum["AsiaVientiane"] = "ASIA_VIENTIANE";
  TimezoneEnum["AsiaVladivostok"] = "ASIA_VLADIVOSTOK";
  TimezoneEnum["AsiaYakutsk"] = "ASIA_YAKUTSK";
  TimezoneEnum["AsiaYangon"] = "ASIA_YANGON";
  TimezoneEnum["AsiaYekaterinburg"] = "ASIA_YEKATERINBURG";
  TimezoneEnum["AsiaYerevan"] = "ASIA_YEREVAN";
  TimezoneEnum["AtlanticAzores"] = "ATLANTIC_AZORES";
  TimezoneEnum["AtlanticBermuda"] = "ATLANTIC_BERMUDA";
  TimezoneEnum["AtlanticCanary"] = "ATLANTIC_CANARY";
  TimezoneEnum["AtlanticCapeVerde"] = "ATLANTIC_CAPE_VERDE";
  TimezoneEnum["AtlanticFaroe"] = "ATLANTIC_FAROE";
  TimezoneEnum["AtlanticMadeira"] = "ATLANTIC_MADEIRA";
  TimezoneEnum["AtlanticReykjavik"] = "ATLANTIC_REYKJAVIK";
  TimezoneEnum["AtlanticSouthGeorgia"] = "ATLANTIC_SOUTH_GEORGIA";
  TimezoneEnum["AtlanticStanley"] = "ATLANTIC_STANLEY";
  TimezoneEnum["AtlanticStHelena"] = "ATLANTIC_ST_HELENA";
  TimezoneEnum["AustraliaAdelaide"] = "AUSTRALIA_ADELAIDE";
  TimezoneEnum["AustraliaBrisbane"] = "AUSTRALIA_BRISBANE";
  TimezoneEnum["AustraliaBrokenHill"] = "AUSTRALIA_BROKEN_HILL";
  TimezoneEnum["AustraliaDarwin"] = "AUSTRALIA_DARWIN";
  TimezoneEnum["AustraliaEucla"] = "AUSTRALIA_EUCLA";
  TimezoneEnum["AustraliaHobart"] = "AUSTRALIA_HOBART";
  TimezoneEnum["AustraliaLindeman"] = "AUSTRALIA_LINDEMAN";
  TimezoneEnum["AustraliaLordHowe"] = "AUSTRALIA_LORD_HOWE";
  TimezoneEnum["AustraliaMelbourne"] = "AUSTRALIA_MELBOURNE";
  TimezoneEnum["AustraliaPerth"] = "AUSTRALIA_PERTH";
  TimezoneEnum["AustraliaSydney"] = "AUSTRALIA_SYDNEY";
  TimezoneEnum["EuropeAmsterdam"] = "EUROPE_AMSTERDAM";
  TimezoneEnum["EuropeAndorra"] = "EUROPE_ANDORRA";
  TimezoneEnum["EuropeAstrakhan"] = "EUROPE_ASTRAKHAN";
  TimezoneEnum["EuropeAthens"] = "EUROPE_ATHENS";
  TimezoneEnum["EuropeBelgrade"] = "EUROPE_BELGRADE";
  TimezoneEnum["EuropeBerlin"] = "EUROPE_BERLIN";
  TimezoneEnum["EuropeBratislava"] = "EUROPE_BRATISLAVA";
  TimezoneEnum["EuropeBrussels"] = "EUROPE_BRUSSELS";
  TimezoneEnum["EuropeBucharest"] = "EUROPE_BUCHAREST";
  TimezoneEnum["EuropeBudapest"] = "EUROPE_BUDAPEST";
  TimezoneEnum["EuropeBusingen"] = "EUROPE_BUSINGEN";
  TimezoneEnum["EuropeChisinau"] = "EUROPE_CHISINAU";
  TimezoneEnum["EuropeCopenhagen"] = "EUROPE_COPENHAGEN";
  TimezoneEnum["EuropeDublin"] = "EUROPE_DUBLIN";
  TimezoneEnum["EuropeGibraltar"] = "EUROPE_GIBRALTAR";
  TimezoneEnum["EuropeGuernsey"] = "EUROPE_GUERNSEY";
  TimezoneEnum["EuropeHelsinki"] = "EUROPE_HELSINKI";
  TimezoneEnum["EuropeIsleOfMan"] = "EUROPE_ISLE_OF_MAN";
  TimezoneEnum["EuropeIstanbul"] = "EUROPE_ISTANBUL";
  TimezoneEnum["EuropeJersey"] = "EUROPE_JERSEY";
  TimezoneEnum["EuropeKaliningrad"] = "EUROPE_KALININGRAD";
  TimezoneEnum["EuropeKiev"] = "EUROPE_KIEV";
  TimezoneEnum["EuropeKirov"] = "EUROPE_KIROV";
  TimezoneEnum["EuropeLisbon"] = "EUROPE_LISBON";
  TimezoneEnum["EuropeLjubljana"] = "EUROPE_LJUBLJANA";
  TimezoneEnum["EuropeLondon"] = "EUROPE_LONDON";
  TimezoneEnum["EuropeLuxembourg"] = "EUROPE_LUXEMBOURG";
  TimezoneEnum["EuropeMadrid"] = "EUROPE_MADRID";
  TimezoneEnum["EuropeMalta"] = "EUROPE_MALTA";
  TimezoneEnum["EuropeMariehamn"] = "EUROPE_MARIEHAMN";
  TimezoneEnum["EuropeMinsk"] = "EUROPE_MINSK";
  TimezoneEnum["EuropeMonaco"] = "EUROPE_MONACO";
  TimezoneEnum["EuropeMoscow"] = "EUROPE_MOSCOW";
  TimezoneEnum["EuropeOslo"] = "EUROPE_OSLO";
  TimezoneEnum["EuropeParis"] = "EUROPE_PARIS";
  TimezoneEnum["EuropePodgorica"] = "EUROPE_PODGORICA";
  TimezoneEnum["EuropePrague"] = "EUROPE_PRAGUE";
  TimezoneEnum["EuropeRiga"] = "EUROPE_RIGA";
  TimezoneEnum["EuropeRome"] = "EUROPE_ROME";
  TimezoneEnum["EuropeSamara"] = "EUROPE_SAMARA";
  TimezoneEnum["EuropeSanMarino"] = "EUROPE_SAN_MARINO";
  TimezoneEnum["EuropeSarajevo"] = "EUROPE_SARAJEVO";
  TimezoneEnum["EuropeSaratov"] = "EUROPE_SARATOV";
  TimezoneEnum["EuropeSimferopol"] = "EUROPE_SIMFEROPOL";
  TimezoneEnum["EuropeSkopje"] = "EUROPE_SKOPJE";
  TimezoneEnum["EuropeSofia"] = "EUROPE_SOFIA";
  TimezoneEnum["EuropeStockholm"] = "EUROPE_STOCKHOLM";
  TimezoneEnum["EuropeTallinn"] = "EUROPE_TALLINN";
  TimezoneEnum["EuropeTirane"] = "EUROPE_TIRANE";
  TimezoneEnum["EuropeUlyanovsk"] = "EUROPE_ULYANOVSK";
  TimezoneEnum["EuropeUzhgorod"] = "EUROPE_UZHGOROD";
  TimezoneEnum["EuropeVaduz"] = "EUROPE_VADUZ";
  TimezoneEnum["EuropeVatican"] = "EUROPE_VATICAN";
  TimezoneEnum["EuropeVienna"] = "EUROPE_VIENNA";
  TimezoneEnum["EuropeVilnius"] = "EUROPE_VILNIUS";
  TimezoneEnum["EuropeVolgograd"] = "EUROPE_VOLGOGRAD";
  TimezoneEnum["EuropeWarsaw"] = "EUROPE_WARSAW";
  TimezoneEnum["EuropeZagreb"] = "EUROPE_ZAGREB";
  TimezoneEnum["EuropeZaporozhye"] = "EUROPE_ZAPOROZHYE";
  TimezoneEnum["EuropeZurich"] = "EUROPE_ZURICH";
  TimezoneEnum["IndianAntananarivo"] = "INDIAN_ANTANANARIVO";
  TimezoneEnum["IndianChagos"] = "INDIAN_CHAGOS";
  TimezoneEnum["IndianChristmas"] = "INDIAN_CHRISTMAS";
  TimezoneEnum["IndianCocos"] = "INDIAN_COCOS";
  TimezoneEnum["IndianComoro"] = "INDIAN_COMORO";
  TimezoneEnum["IndianKerguelen"] = "INDIAN_KERGUELEN";
  TimezoneEnum["IndianMahe"] = "INDIAN_MAHE";
  TimezoneEnum["IndianMaldives"] = "INDIAN_MALDIVES";
  TimezoneEnum["IndianMauritius"] = "INDIAN_MAURITIUS";
  TimezoneEnum["IndianMayotte"] = "INDIAN_MAYOTTE";
  TimezoneEnum["IndianReunion"] = "INDIAN_REUNION";
  TimezoneEnum["PacificApia"] = "PACIFIC_APIA";
  TimezoneEnum["PacificAuckland"] = "PACIFIC_AUCKLAND";
  TimezoneEnum["PacificBougainville"] = "PACIFIC_BOUGAINVILLE";
  TimezoneEnum["PacificChatham"] = "PACIFIC_CHATHAM";
  TimezoneEnum["PacificChuuk"] = "PACIFIC_CHUUK";
  TimezoneEnum["PacificEaster"] = "PACIFIC_EASTER";
  TimezoneEnum["PacificEfate"] = "PACIFIC_EFATE";
  TimezoneEnum["PacificEnderbury"] = "PACIFIC_ENDERBURY";
  TimezoneEnum["PacificFakaofo"] = "PACIFIC_FAKAOFO";
  TimezoneEnum["PacificFiji"] = "PACIFIC_FIJI";
  TimezoneEnum["PacificFunafuti"] = "PACIFIC_FUNAFUTI";
  TimezoneEnum["PacificGalapagos"] = "PACIFIC_GALAPAGOS";
  TimezoneEnum["PacificGambier"] = "PACIFIC_GAMBIER";
  TimezoneEnum["PacificGuadalcanal"] = "PACIFIC_GUADALCANAL";
  TimezoneEnum["PacificGuam"] = "PACIFIC_GUAM";
  TimezoneEnum["PacificHonolulu"] = "PACIFIC_HONOLULU";
  TimezoneEnum["PacificKiritimati"] = "PACIFIC_KIRITIMATI";
  TimezoneEnum["PacificKosrae"] = "PACIFIC_KOSRAE";
  TimezoneEnum["PacificKwajalein"] = "PACIFIC_KWAJALEIN";
  TimezoneEnum["PacificMajuro"] = "PACIFIC_MAJURO";
  TimezoneEnum["PacificMarquesas"] = "PACIFIC_MARQUESAS";
  TimezoneEnum["PacificMidway"] = "PACIFIC_MIDWAY";
  TimezoneEnum["PacificNauru"] = "PACIFIC_NAURU";
  TimezoneEnum["PacificNiue"] = "PACIFIC_NIUE";
  TimezoneEnum["PacificNorfolk"] = "PACIFIC_NORFOLK";
  TimezoneEnum["PacificNoumea"] = "PACIFIC_NOUMEA";
  TimezoneEnum["PacificPagoPago"] = "PACIFIC_PAGO_PAGO";
  TimezoneEnum["PacificPalau"] = "PACIFIC_PALAU";
  TimezoneEnum["PacificPitcairn"] = "PACIFIC_PITCAIRN";
  TimezoneEnum["PacificPohnpei"] = "PACIFIC_POHNPEI";
  TimezoneEnum["PacificPortMoresby"] = "PACIFIC_PORT_MORESBY";
  TimezoneEnum["PacificRarotonga"] = "PACIFIC_RAROTONGA";
  TimezoneEnum["PacificSaipan"] = "PACIFIC_SAIPAN";
  TimezoneEnum["PacificTahiti"] = "PACIFIC_TAHITI";
  TimezoneEnum["PacificTarawa"] = "PACIFIC_TARAWA";
  TimezoneEnum["PacificTongatapu"] = "PACIFIC_TONGATAPU";
  TimezoneEnum["PacificWake"] = "PACIFIC_WAKE";
  TimezoneEnum["PacificWallis"] = "PACIFIC_WALLIS";
  TimezoneEnum["Utc_0"] = "UTC_0";
  TimezoneEnum["Utc_0_30"] = "UTC_0_30";
  TimezoneEnum["Utc_1"] = "UTC_1";
  TimezoneEnum["Utc_10"] = "UTC_10";
  TimezoneEnum["Utc_10_30"] = "UTC_10_30";
  TimezoneEnum["Utc_11"] = "UTC_11";
  TimezoneEnum["Utc_11_30"] = "UTC_11_30";
  TimezoneEnum["Utc_12"] = "UTC_12";
  TimezoneEnum["Utc_12_45"] = "UTC_12_45";
  TimezoneEnum["Utc_13"] = "UTC_13";
  TimezoneEnum["Utc_13_45"] = "UTC_13_45";
  TimezoneEnum["Utc_14"] = "UTC_14";
  TimezoneEnum["Utc_1_30"] = "UTC_1_30";
  TimezoneEnum["Utc_2"] = "UTC_2";
  TimezoneEnum["Utc_2_30"] = "UTC_2_30";
  TimezoneEnum["Utc_3"] = "UTC_3";
  TimezoneEnum["Utc_3_30"] = "UTC_3_30";
  TimezoneEnum["Utc_4"] = "UTC_4";
  TimezoneEnum["Utc_4_30"] = "UTC_4_30";
  TimezoneEnum["Utc_5"] = "UTC_5";
  TimezoneEnum["Utc_5_30"] = "UTC_5_30";
  TimezoneEnum["Utc_5_45"] = "UTC_5_45";
  TimezoneEnum["Utc_6"] = "UTC_6";
  TimezoneEnum["Utc_6_30"] = "UTC_6_30";
  TimezoneEnum["Utc_7"] = "UTC_7";
  TimezoneEnum["Utc_7_30"] = "UTC_7_30";
  TimezoneEnum["Utc_8"] = "UTC_8";
  TimezoneEnum["Utc_8_30"] = "UTC_8_30";
  TimezoneEnum["Utc_8_45"] = "UTC_8_45";
  TimezoneEnum["Utc_9"] = "UTC_9";
  TimezoneEnum["Utc_9_30"] = "UTC_9_30";
})(TimezoneEnum || (exports.TimezoneEnum = TimezoneEnum = {}));

/** The Type of Identifier used to fetch a single User node. To be used along with the "id" field. Default is "ID". */
let UserNodeIdTypeEnum;
/** A user role object */

exports.UserNodeIdTypeEnum = UserNodeIdTypeEnum;

(function (UserNodeIdTypeEnum) {
  UserNodeIdTypeEnum["DatabaseId"] = "DATABASE_ID";
  UserNodeIdTypeEnum["Email"] = "EMAIL";
  UserNodeIdTypeEnum["Id"] = "ID";
  UserNodeIdTypeEnum["Slug"] = "SLUG";
  UserNodeIdTypeEnum["Uri"] = "URI";
  UserNodeIdTypeEnum["Username"] = "USERNAME";
})(UserNodeIdTypeEnum || (exports.UserNodeIdTypeEnum = UserNodeIdTypeEnum = {}));

/** Names of available user roles */
let UserRoleEnum;
/** Connection between the User type and the Comment type */

exports.UserRoleEnum = UserRoleEnum;

(function (UserRoleEnum) {
  UserRoleEnum["Administrator"] = "ADMINISTRATOR";
  UserRoleEnum["Author"] = "AUTHOR";
  UserRoleEnum["Contributor"] = "CONTRIBUTOR";
  UserRoleEnum["Editor"] = "EDITOR";
  UserRoleEnum["SeoEditor"] = "SEO_EDITOR";
  UserRoleEnum["SeoManager"] = "SEO_MANAGER";
  UserRoleEnum["Subscriber"] = "SUBSCRIBER";
})(UserRoleEnum || (exports.UserRoleEnum = UserRoleEnum = {}));

/** Field to order the connection by */
let UsersConnectionOrderbyEnum;
/** Options for ordering the connection */

exports.UsersConnectionOrderbyEnum = UsersConnectionOrderbyEnum;

(function (UsersConnectionOrderbyEnum) {
  UsersConnectionOrderbyEnum["DisplayName"] = "DISPLAY_NAME";
  UsersConnectionOrderbyEnum["Email"] = "EMAIL";
  UsersConnectionOrderbyEnum["Login"] = "LOGIN";
  UsersConnectionOrderbyEnum["LoginIn"] = "LOGIN_IN";
  UsersConnectionOrderbyEnum["NiceName"] = "NICE_NAME";
  UsersConnectionOrderbyEnum["NiceNameIn"] = "NICE_NAME_IN";
  UsersConnectionOrderbyEnum["Registered"] = "REGISTERED";
  UsersConnectionOrderbyEnum["Url"] = "URL";
})(UsersConnectionOrderbyEnum || (exports.UsersConnectionOrderbyEnum = UsersConnectionOrderbyEnum = {}));

/** Column used for searching for users. */
let UsersConnectionSearchColumnEnum;
/** Information needed by gatsby-source-wordpress. */

exports.UsersConnectionSearchColumnEnum = UsersConnectionSearchColumnEnum;

(function (UsersConnectionSearchColumnEnum) {
  UsersConnectionSearchColumnEnum["Email"] = "EMAIL";
  UsersConnectionSearchColumnEnum["Id"] = "ID";
  UsersConnectionSearchColumnEnum["Login"] = "LOGIN";
  UsersConnectionSearchColumnEnum["Nicename"] = "NICENAME";
  UsersConnectionSearchColumnEnum["Url"] = "URL";
})(UsersConnectionSearchColumnEnum || (exports.UsersConnectionSearchColumnEnum = UsersConnectionSearchColumnEnum = {}));

const CategorySeoDataFragmentDoc = {
  "kind": "Document",
  "definitions": [{
    "kind": "FragmentDefinition",
    "name": {
      "kind": "Name",
      "value": "CategorySeoData"
    },
    "typeCondition": {
      "kind": "NamedType",
      "name": {
        "kind": "Name",
        "value": "TaxonomySEO"
      }
    },
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "title"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "canonical"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "metaDesc"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "metaKeywords"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "metaRobotsNofollow"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "metaRobotsNoindex"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "opengraphImage"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "id"
            }
          }]
        }
      }]
    }
  }]
};
exports.CategorySeoDataFragmentDoc = CategorySeoDataFragmentDoc;
const CategoryDataFragmentDoc = {
  "kind": "Document",
  "definitions": [{
    "kind": "FragmentDefinition",
    "name": {
      "kind": "Name",
      "value": "CategoryData"
    },
    "typeCondition": {
      "kind": "NamedType",
      "name": {
        "kind": "Name",
        "value": "Category"
      }
    },
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "id"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "name"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "slug"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "description"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "seo"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "FragmentSpread",
            "name": {
              "kind": "Name",
              "value": "CategorySeoData"
            }
          }]
        }
      }]
    }
  }, ...CategorySeoDataFragmentDoc.definitions]
};
exports.CategoryDataFragmentDoc = CategoryDataFragmentDoc;
const MediaItemDataFragmentDoc = {
  "kind": "Document",
  "definitions": [{
    "kind": "FragmentDefinition",
    "name": {
      "kind": "Name",
      "value": "MediaItemData"
    },
    "typeCondition": {
      "kind": "NamedType",
      "name": {
        "kind": "Name",
        "value": "MediaItem"
      }
    },
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "id"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "title"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "altText"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "slug"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "fileSize"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "mimeType"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "sourceUrl"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "mediaDetails"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "height"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "width"
            }
          }]
        }
      }]
    }
  }]
};
exports.MediaItemDataFragmentDoc = MediaItemDataFragmentDoc;
const SeoDataFragmentDoc = {
  "kind": "Document",
  "definitions": [{
    "kind": "FragmentDefinition",
    "name": {
      "kind": "Name",
      "value": "SeoData"
    },
    "typeCondition": {
      "kind": "NamedType",
      "name": {
        "kind": "Name",
        "value": "PostTypeSEO"
      }
    },
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "title"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "canonical"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "metaDesc"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "metaKeywords"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "metaRobotsNofollow"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "metaRobotsNoindex"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "opengraphImage"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "id"
            }
          }]
        }
      }]
    }
  }]
};
exports.SeoDataFragmentDoc = SeoDataFragmentDoc;
const PageDataFragmentDoc = {
  "kind": "Document",
  "definitions": [{
    "kind": "FragmentDefinition",
    "name": {
      "kind": "Name",
      "value": "PageData"
    },
    "typeCondition": {
      "kind": "NamedType",
      "name": {
        "kind": "Name",
        "value": "Page"
      }
    },
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "id"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "title"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "slug"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "date"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "content"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "format"
          },
          "value": {
            "kind": "EnumValue",
            "value": "RENDERED"
          }
        }]
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "featuredImage"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "node"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }]
            }
          }]
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "authorId"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "seo"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "FragmentSpread",
            "name": {
              "kind": "Name",
              "value": "SeoData"
            }
          }]
        }
      }]
    }
  }, ...SeoDataFragmentDoc.definitions]
};
exports.PageDataFragmentDoc = PageDataFragmentDoc;
const PostDataFragmentDoc = {
  "kind": "Document",
  "definitions": [{
    "kind": "FragmentDefinition",
    "name": {
      "kind": "Name",
      "value": "PostData"
    },
    "typeCondition": {
      "kind": "NamedType",
      "name": {
        "kind": "Name",
        "value": "Post"
      }
    },
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "id"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "title"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "slug"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "date"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "excerpt"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "format"
          },
          "value": {
            "kind": "EnumValue",
            "value": "RENDERED"
          }
        }]
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "content"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "format"
          },
          "value": {
            "kind": "EnumValue",
            "value": "RENDERED"
          }
        }]
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "featuredImage"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "node"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }]
            }
          }]
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "authorId"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "categories"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "nodes"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }]
            }
          }]
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "seo"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "FragmentSpread",
            "name": {
              "kind": "Name",
              "value": "SeoData"
            }
          }]
        }
      }]
    }
  }, ...SeoDataFragmentDoc.definitions]
};
exports.PostDataFragmentDoc = PostDataFragmentDoc;
const UserDataFragmentDoc = {
  "kind": "Document",
  "definitions": [{
    "kind": "FragmentDefinition",
    "name": {
      "kind": "Name",
      "value": "UserData"
    },
    "typeCondition": {
      "kind": "NamedType",
      "name": {
        "kind": "Name",
        "value": "User"
      }
    },
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "id"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "email"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "firstName"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "lastName"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "description"
        }
      }, {
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "avatar"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "size"
          },
          "value": {
            "kind": "IntValue",
            "value": "512"
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "url"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "height"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "width"
            }
          }]
        }
      }]
    }
  }]
};
exports.UserDataFragmentDoc = UserDataFragmentDoc;
const GetCategorysDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "GetCategorys"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "before"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "String"
        }
      }
    }, {
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "last"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "Int"
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "categories"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "before"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "before"
            }
          }
        }, {
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "last"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "last"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "nodes"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "FragmentSpread",
                "name": {
                  "kind": "Name",
                  "value": "CategoryData"
                }
              }]
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "pageInfo"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "startCursor"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "hasPreviousPage"
                }
              }]
            }
          }]
        }
      }]
    }
  }, ...CategoryDataFragmentDoc.definitions]
};
exports.GetCategorysDocument = GetCategorysDocument;
const GetMediaItemsDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "GetMediaItems"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "before"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "String"
        }
      }
    }, {
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "last"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "Int"
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "mediaItems"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "before"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "before"
            }
          }
        }, {
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "last"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "last"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "nodes"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "FragmentSpread",
                "name": {
                  "kind": "Name",
                  "value": "MediaItemData"
                }
              }]
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "pageInfo"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "startCursor"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "hasPreviousPage"
                }
              }]
            }
          }]
        }
      }]
    }
  }, ...MediaItemDataFragmentDoc.definitions]
};
exports.GetMediaItemsDocument = GetMediaItemsDocument;
const GetPagesDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "GetPages"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "before"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "String"
        }
      }
    }, {
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "last"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "Int"
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "pages"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "where"
          },
          "value": {
            "kind": "ObjectValue",
            "fields": [{
              "kind": "ObjectField",
              "name": {
                "kind": "Name",
                "value": "status"
              },
              "value": {
                "kind": "EnumValue",
                "value": "PUBLISH"
              }
            }]
          }
        }, {
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "before"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "before"
            }
          }
        }, {
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "last"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "last"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "nodes"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "FragmentSpread",
                "name": {
                  "kind": "Name",
                  "value": "PageData"
                }
              }]
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "pageInfo"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "startCursor"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "hasPreviousPage"
                }
              }]
            }
          }]
        }
      }]
    }
  }, ...PageDataFragmentDoc.definitions]
};
exports.GetPagesDocument = GetPagesDocument;
const GetPostsDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "GetPosts"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "before"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "String"
        }
      }
    }, {
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "last"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "Int"
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "posts"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "where"
          },
          "value": {
            "kind": "ObjectValue",
            "fields": [{
              "kind": "ObjectField",
              "name": {
                "kind": "Name",
                "value": "status"
              },
              "value": {
                "kind": "EnumValue",
                "value": "PUBLISH"
              }
            }]
          }
        }, {
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "before"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "before"
            }
          }
        }, {
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "last"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "last"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "nodes"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "FragmentSpread",
                "name": {
                  "kind": "Name",
                  "value": "PostData"
                }
              }]
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "pageInfo"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "startCursor"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "hasPreviousPage"
                }
              }]
            }
          }]
        }
      }]
    }
  }, ...PostDataFragmentDoc.definitions]
};
exports.GetPostsDocument = GetPostsDocument;
const GetUsersDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "GetUsers"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "before"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "String"
        }
      }
    }, {
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "last"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "Int"
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "users"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "before"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "before"
            }
          }
        }, {
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "last"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "last"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "nodes"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "FragmentSpread",
                "name": {
                  "kind": "Name",
                  "value": "UserData"
                }
              }]
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "pageInfo"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "startCursor"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "hasPreviousPage"
                }
              }]
            }
          }]
        }
      }]
    }
  }, ...UserDataFragmentDoc.definitions]
};
exports.GetUsersDocument = GetUsersDocument;
//# sourceMappingURL=index.js.map