"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.fetch = fetch;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

async function fetch(uri, options) {
  const response = await (0, _nodeFetch.default)(uri, options);

  if (response.status >= 400) {
    throw new Error(`Source GraphQL API: HTTP error ${response.status} ${response.statusText}`);
  }

  return response;
}
//# sourceMappingURL=graphql.js.map